﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;hm;inl;inc;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Source Files\Rast">
      <UniqueIdentifier>{eb6d5e8a-e51e-4d95-b71f-5106fc5e1a64}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Pars">
      <UniqueIdentifier>{83e7788a-eceb-4ef5-a9b9-8a27fb48ae46}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Size4">
      <UniqueIdentifier>{b8ea5e9a-5e55-4cd5-bc22-4fc385b5710f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\FB">
      <UniqueIdentifier>{e9c34155-6320-441e-ae17-dd13a8bdb6ba}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Class">
      <UniqueIdentifier>{1a49dbda-bccb-4908-8b4d-fda5cd30d067}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Gen">
      <UniqueIdentifier>{80c1545b-65c6-4119-b3fd-5b9f3bb66b34}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="cs250_parser\CS250Parser.cpp">
      <Filter>Source Files\Pars</Filter>
    </ClCompile>
    <ClCompile Include="cs250_rasterizer\Point2D.cpp">
      <Filter>Source Files\Rast</Filter>
    </ClCompile>
    <ClCompile Include="cs250_rasterizer\rasterizer.cpp">
      <Filter>Source Files\Rast</Filter>
    </ClCompile>
    <ClCompile Include="Extras\Matrix4.cpp">
      <Filter>Source Files\Size4</Filter>
    </ClCompile>
    <ClCompile Include="Extras\Point4.cpp">
      <Filter>Source Files\Size4</Filter>
    </ClCompile>
    <ClCompile Include="Extras\Vector4.cpp">
      <Filter>Source Files\Size4</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\Classes.cpp">
      <Filter>Source Files\Class</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\main.cpp">
      <Filter>Source Files\Gen</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\FrameBuffer.cpp">
      <Filter>Source Files\FB</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\Transitions.cpp">
      <Filter>Source Files\Gen</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\Army.cpp">
      <Filter>Source Files\Class</Filter>
    </ClCompile>
    <ClCompile Include="GeneralCode\Camera.cpp">
      <Filter>Source Files\Gen</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="cs250_parser\CS250Parser.h">
      <Filter>Source Files\Pars</Filter>
    </ClInclude>
    <ClInclude Include="cs250_rasterizer\Point2D.h">
      <Filter>Source Files\Rast</Filter>
    </ClInclude>
    <ClInclude Include="Extras\MathUtilities.h">
      <Filter>Source Files\Size4</Filter>
    </ClInclude>
    <ClInclude Include="Extras\Matrix4.h">
      <Filter>Source Files\Size4</Filter>
    </ClInclude>
    <ClInclude Include="Extras\Point4.h">
      <Filter>Source Files\Size4</Filter>
    </ClInclude>
    <ClInclude Include="Extras\Vector4.h">
      <Filter>Source Files\Size4</Filter>
    </ClInclude>
    <ClInclude Include="cs250_rasterizer\Rasterizer.h">
      <Filter>Source Files\Rast</Filter>
    </ClInclude>
    <ClInclude Include="GeneralCode\Classes.h">
      <Filter>Source Files\Class</Filter>
    </ClInclude>
    <ClInclude Include="GeneralCode\FrameBuffer.h">
      <Filter>Source Files\FB</Filter>
    </ClInclude>
    <ClInclude Include="GeneralCode\Transitions.h">
      <Filter>Source Files\Gen</Filter>
    </ClInclude>
    <ClInclude Include="GeneralCode\Army.h">
      <Filter>Source Files\Class</Filter>
    </ClInclude>
    <ClInclude Include="GeneralCode\Camera.h">
      <Filter>Source Files\Gen</Filter>
    </ClInclude>
  </ItemGroup>
</Project>